Skip to main content

Introduction

In emails created in Engage, it’s possible to add content that has been fetched from an external source. This requires the use of specific email modules that match the specific type of content. The most common use case is populating product modules from a XML product feed (the Google format is recommended). Content can also be fetched from an external API endpoint.
https://mintcdn.com/voyado/-QD3xMpfEY3BtcMt/icons/help-center-link.png?fit=max&auto=format&n=-QD3xMpfEY3BtcMt&q=85&s=d9dbad90df6f1f0afa4f2062b8d9c460

Learn about using the product feed in email modules

Using an XML product feed is easy as long as you’ve already set up a suitable feed. Talk to your contact at Voyado about setting up this integration.
Your product feed need to be accessible through an open URL so that Engage can fetch it. Your product feed can’t be on a file or located in an FTP folder; it must be located on an open HTTP endpoint.

Content from API endpoint

The information below covers the classic email editor. There are also dedicated articles about working with external / custom data in the new email Design Studio.
https://mintcdn.com/voyado/-QD3xMpfEY3BtcMt/icons/help-center-link.png?fit=max&auto=format&n=-QD3xMpfEY3BtcMt&q=85&s=d9dbad90df6f1f0afa4f2062b8d9c460

Read about external / custom data in Design Studio

Engage has functionality to fetch data from external platforms in order to populate emails. Here’s more detail about how that works. The data model presented below is fixed and designed for product information but can also be used for populating emails with, for example, related products, campaign information or other types of information from external systems.

Field definitions

Even though it’s possible to have any field in the API response, the ones defined below should always be included when using Engage’s standard email modules for products. The images returned in the response will we displayed as-is in the outgoing emails. Hence, the format of the image (the size and aspect ratio) needs to match the format given in the mail template module to ensure they look how you want them to look The image format should be decided together with the person responsible for your email template as well as your technical application specialist at Voyado.
Field nameExample valueInstructions
productNumber23874625
descriptionSuperproduct 2000 Ultra, matte black
discountPrice1 549 kr
imageUrlhttps://www.customerdomain.com/product/1234.jpg
linkhttps://www.customerdomain.com/product/1234
nameSuperproduct 2000 Ultra
originalPrice1 699 krOriginalPrice should ONLY be used when product is on sale
price1 699 kr
fromPrice899 kr
discountPrice1099 kr
sellTextLooking for Superproducts latest groundbreaking innovation? With the 2000 Ultra Superproduct has done it again. The 2000 Ultra offers…

Request URL

Your custom API endpoint should be able to handle a search query with multiple product IDs that are comma separated, like in this example. Besides this requirement, the actual URL can be determined by you.
GET https://[customerdomain].com/api/endpoint/exampleID1,exampleID2,exampleID3
It is also possible to add several extra parameters to personalise the URL. The examples below use a parameter called locale which enables you to dynamically call for an endpoint connected to a specific country/language.
GET https://[customerdomain].com/api/{locale}/endpoint/
Or you could also do it this way:
GET https://[customerdomain].com/api?locale={locale}&id=exampleID1,exampleID2
These extra parameters are decided per project and configured by a product specialist at Voyado.

Response JSON

This is an example of how a response should look like to match the Engage format:
[
    {
        "productNumber": "12334",
        "description": "Superproduct 2000 Ultra, matte black",
        "imageUrl": "https://customerimages.imgix.net/71303.jpg",
        "originalPrice": "1 699 kr",
        "discountPrice": "1 549 kr",
        "discount": "- 9 %",
        "link": "https://www.customerdomain.com/product/71303",
	"fromPrice": "1 699 kr",
        "name": "Superproduct 2000 Ultra",
        "price": "1 549 kr",
	"sellText": "Looking for Superproducts latest groundbreaking innovation? With the 2000 Ultra Superproduct has done it again. The 2000 Ultra offers..."
   },
    {
        "productNumber": "12335",
        "description": "Superproduct 2003 Ultra, matte white",
        "imageUrl": "https://customerimages.imgix.net/product/71304.jpg",
        "originalPrice": "1 699 kr",
        "discountPrice": "1 549 kr",
        "discount": "- 9 %",
        "link": "https://www.customerdomain.com/product/71304",
	"fromPrice": "1 699 kr",
	"name": "Superproduct 2000 Ultra",
	"price": "1 549 kr",
	"sellText": "Looking for Superproducts latest groundbreaking innovation? With the 2000 Ultra Superproduct has done it again. The 2000 Ultra offers..."
   }
]

QR and barcodes in emails

Voyado has an online tool for generating QR and barcode images which can then be sent out in Engage emails. Such an image could encode something personal like a member number (for easier identification), a personal reward voucher number or an order number. These images could then be used by a POS to easily read that information from a customer’s mobile phone screen.
https://mintcdn.com/voyado/-QD3xMpfEY3BtcMt/icons/help-center-link.png?fit=max&auto=format&n=-QD3xMpfEY3BtcMt&q=85&s=d9dbad90df6f1f0afa4f2062b8d9c460

Read more about QR codes and barcodes